@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
}

body {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #2f3640;
}

.card {
  width: 400px;
  height: 600px;
  background-color: aliceblue;
  overflow: hidden;
  cursor: pointer;
  position: relative;
}
.card img {
  width: 100%;
  transition: 0.5s;
}
.card:hover img {
  transform: scale(1.2) rotate(5deg);
}

.btn-group {
  position: absolute;
  z-index: 99;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100px;
  height: 100px;
  background-color: #badc58;
  padding: 15px;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  opacity: 0;
  pointer-events: none;
  transition: 0.5s;
}

.las {
  color: white;
  font-size: 30px;
}
.las:hover {
  color: #2A4704;
}

.card:hover .btn-group {
  opacity: 1;
  pointer-events: auto;
}
